Results 1 to 4 of 4

Thread: LEAP 15.2 Error NSS Persistent Database

  1. #1

    Default LEAP 15.2 Error NSS Persistent Database

    After a recent upgrade from LEAP 15.1 to LEAP 15.2, no browser will start.

    When launching Chromium:

    [13560:13560:0929/235807.171130:ERROR:network_service_instance_impl.cc(264)] Network service crashed, restarting service.
    [13835:13841:0929/235811.457584:ERROR:nss_util.cc(166)] Error initializing NSS with a persistent database (sql:/home/<user>/.pki/nssdb): libsoftokn3.so: cannot open shared object file: No such file or directory
    [13835:13841:0929/235811.457705:ERROR:nss_util.cc(124)] Error initializing NSS without a persistent database: NSS error code: -5925
    [13835:13841:0929/235811.457722:FATAL:nss_util.cc(126)] nss_error=-5925, os_error=0

    Similar for Opera.

    MS Team Insider and Pidgin also no longer launch, but I do not have any debug log for them. Can get if I know how.

    the ~/.pki directory is owned by the user as is the files currently in it, probably left over from the 15.1 install.

    I have tried the removal of the related config directories, the exact same error persists.

    Interesting is the VirtualBox 6.1.14 r140239 (Qt5.12.7) start up and networking is AOK. Browsers, Teams, etc. all connect without issue.

  2. #2

    Default Re: LEAP 15.2 Error NSS Persistent Database

    Quote Originally Posted by wilkerjnc View Post
    After a recent upgrade from LEAP 15.1 to LEAP 15.2, no browser will start.

    When launching Chromium:

    Code:
    [13560:13560:0929/235807.171130:ERROR:network_service_instance_impl.cc(264)] Network service crashed, restarting service.
    [13835:13841:0929/235811.457584:ERROR:nss_util.cc(166)] Error initializing NSS with a persistent database (sql:/home/<user>/.pki/nssdb): libsoftokn3.so: cannot open shared object file: No such file or directory
    [13835:13841:0929/235811.457705:ERROR:nss_util.cc(124)] Error initializing NSS without a persistent database: NSS error code: -5925
    [13835:13841:0929/235811.457722:FATAL:nss_util.cc(126)] nss_error=-5925, os_error=0
    Similar for Opera.

    MS Team Insider and Pidgin also no longer launch, but I do not have any debug log for them. Can get if I know how.

    the ~/.pki directory is owned by the user as is the files currently in it, probably left over from the 15.1 install.

    I have tried the removal of the related config directories, the exact same error persists.

    Interesting is the VirtualBox 6.1.14 r140239 (Qt5.12.7) start up and networking is AOK. Browsers, Teams, etc. all connect without issue.
    Adding that Thunderbird, the MATE weather, and QTorrent all work OK.

  3. #3

    Default Re: LEAP 15.2 Error NSS Persistent Database

    Issue solved.

    After I got YaST working I discovered a couple of missing packages.

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    3,461

    Talking Re: LEAP 15.2 Error NSS Persistent Database

    Quote Originally Posted by wilkerjnc View Post
    I discovered a couple of missing packages.
    Meaning that, “zypper verify” and “rpm --verify --all” were possibly not executed after the upgrade completed.

    BTW, it's also usually a good idea to execute “rpmconfigcheck” after an upgrade and, occasionally during the life of any given system version …

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •